Bug 1969541 (CVE-2019-25045) - CVE-2019-25045 kernel: use-after-free in the XFRM subsystem related to an xfrm_state_fini() panic
Summary: CVE-2019-25045 kernel: use-after-free in the XFRM subsystem related to an xfr...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2019-25045
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1969542
Blocks: 1969544
TreeView+ depends on / blocked
 
Reported: 2021-06-08 14:52 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-06-24 18:35 UTC (History)
45 users (show)

Fixed In Version: kernel 5.1-rc1
Doc Type: If docs needed, set a value
Doc Text:
A use-after-free flaw was found in the Linux kernel’s XFRM subsystem when flushing the XFRM tunnel. This flaw allows a local user to crash the system or possibly escalate their privileges on the system. The highest threat from this vulnerability is to confidentiality, integrity, as well as system availability.
Clone Of:
Environment:
Last Closed: 2021-06-21 15:03:57 UTC


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2021-06-08 14:52:49 UTC
An issue was discovered in the Linux kernel before 5.0.19. The XFRM subsystem has a use-after-free, related to an xfrm_state_fini panic.

Reference:
https://sites.google.com/view/syzscope/warning-in-xfrm_state_fini-2

Upstream patch:
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=dbb2483b2a46fbaf833cfb5deb5ed9cace9c7399

Comment 1 Guilherme de Almeida Suckevicz 2021-06-08 14:53:23 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1969542]

Comment 2 Justin M. Forbes 2021-06-08 19:09:59 UTC
This was fixed for Fedora in the 5.0.19 stable kernel updates.

Comment 5 Product Security DevOps Team 2021-06-21 15:03:57 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-25045


Note You need to log in before you can comment on or make changes to this bug.